Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003514Doomseeker[All Projects] Suggestionpublic2018-09-23 00:012019-03-21 16:13
ReporterWubTheCaptain 
Assigned ToPol M 
PrioritynormalSeveritymajorReproducibilityalways
StatusacknowledgedResolutionreopened 
PlatformOSOS Version
Product Version1.1 
Target VersionFixed in Version 
Summary0003514: Drop support for compiling with Qt4 (in favor of Qt5+)
DescriptionIn ticket 0003503 AOSP questioned why Doomseeker is still supporting Qt4, which hasn't received updates in many years. It's also not technically supported by Doomseeker since release 1.1.

A benefit of dropping Qt4 outright would be "better ability to use C++11/14", according to Blzut3.
Additional InformationCreating this ticket, so that discussion in ticket 0003503 doesn't get lost and this ticket becomes searchable for answers.

Qt4 is required to use Doomseeker on OpenBSD, until 0003494 is resolved.
Attached Files

- Relationships
related to 0003494assignedPol M Master server connections timeout on OpenBSD (UDP packets not sent on Qt5) 
related to 0003542needs testingPol M No CXX_STANDARD defined in CMake build files 
related to 0003581newWubTheCaptain Version::operatingSystem() knows only about three operating systems (Windows, Linux & Mac) 

-  Notes
User avatar (0019676)
WubTheCaptain (developer)
2018-09-23 00:01

Closing for obvious reasons, this has been discussed. Reopen once more relevant.
User avatar (0020447)
Pol M (developer)
2019-03-19 17:08
edited on: 2019-03-19 17:47

(Reopening)
So, right now Doomseeker does not compile in qt4. While probably I could try to patch it, I'd honestly consider dropping support for qt4. I understand that unsupported platforms seem to rely on it (0003494 though I'd need to test it based on the last comment.), but considering that we're now working to bump the C++ standard and that also Windows is no longer an issue, I think it's the right time :)

User avatar (0020448)
WubTheCaptain (developer)
2019-03-19 18:59

Ok for me to drop Qt4.
User avatar (0020449)
WubTheCaptain (developer)
2019-03-19 19:01

Quote from Pol M
(0003494 though I'd need to test it based on the last comment.)


The author of that comment tested it to be working with Qt4, but said "nevermind" because the issue was reproducible with Qt5 only.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-09-23 00:01 WubTheCaptain New Issue
2018-09-23 00:01 WubTheCaptain Note Added: 0019676
2018-09-23 00:01 WubTheCaptain Status new => closed
2018-09-23 00:01 WubTheCaptain Resolution open => denied
2018-09-29 16:19 WubTheCaptain Resolution denied => suspended
2018-12-17 04:39 WubTheCaptain Relationship added related to 0003581
2019-03-19 17:08 Pol M Note Added: 0020447
2019-03-19 17:08 Pol M Relationship added related to 0003494
2019-03-19 17:09 Pol M Relationship added related to 0003542
2019-03-19 17:10 Pol M Assigned To => Pol M
2019-03-19 17:10 Pol M Status closed => feedback
2019-03-19 17:10 Pol M Resolution suspended => reopened
2019-03-19 17:47 Pol M Note Edited: 0020447 View Revisions
2019-03-19 18:59 WubTheCaptain Note Added: 0020448
2019-03-19 18:59 WubTheCaptain Status feedback => assigned
2019-03-19 18:59 WubTheCaptain Status assigned => acknowledged
2019-03-19 19:01 WubTheCaptain Note Added: 0020449






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker